Booking Pro API
API ReferenceGift cards

List gift cards

Gift cards issued at the key's locations (a location-limited key does not see cards of other locations, or cards that belong to no single location). Pass `location_id` to narrow to one of the key's locations.

View on GitHub
Connect your AI:ClaudeChatGPT
GET
/gift-cards

Authorization

ApiKeyAuth
AuthorizationBearer <token>

Send your API key as a bearer token: Authorization: Bearer bp_sk_live_.... Mint and revoke keys in your dashboard under Settings -> Developers.

In: header

Query Parameters

location_id?string

Restrict to a single location. Must be one the key can access.

Formatuuid
limit?integer
Range1 <= value <= 100
Default25
cursor?string

The next_cursor from a previous page.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/gift-cards"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "location_id": "46910cc3-ab41-4b80-b4a7-94dab9f1b795",      "code": "string",      "initial_balance_cents": 0,      "current_balance_cents": 0,      "currency": "string",      "status": "active",      "created_at": "2019-08-24T14:15:22Z",      "replaced_by_gift_card_id": "ce18f900-cf15-4c5c-aca6-ffc3b6f84ea8",      "replaces_gift_card_id": "d44fd4cb-36cd-491c-b444-4e812eacbd8a"    }  ],  "next_cursor": "string"}